
/*\// -------------------------------------------------------------- */
/*\// Licensed Material - Property of IBM                            */
/*\//                                                                */
/*\// 5655-002                                                       */
/*\//                                                                */
/*\// (C) Copyright IBM Corp. 2003   All Rights Reserved             */
/*\//                                                                */
/*\// US Government Users Restricted Rights - Use, duplication or    */
/*\// disclosure restricted by GSA ASP Schedule Contract with        */
/*\// IBM Corp.                                                      */
/*\// -------------------------------------------------------------- */
function debugalert(aDebug,aText)
{
if ( aDebug == true )
{
alert(aText);
}
}
function fnHideLayer(aLayerId, aHide)
{
var vElement = document.getElementById(aLayerId);
var style   = null;
if ( vElement != null )
{
style = vElement.style;
if ( aHide == true )
{
style.display = "none";
}
else
{
style.display =  "block";
}
}
}
function fnOnloadConfig(aSource)
{
var vDebug = false;
var i = 0;
var j = 1;
var vNumberOfTransforms = 0;
var vPDSNotationStem = 'asfservletpreviewtransformpathpdsnotation';
var vPDSNotation = null;
var vPDSNotationElement  = null;
var vLanguageCodeElement = null;
var vLanguageCode        = 'en';
var vHideSections       = true;
debugalert(vDebug, "fnOnloadConfig() started aSource = " + aSource);
switch (aSource)
{
case 'docconfig.xsl':
document.getElementById('comment').value =  fnReplaceXMLEncodedCharacters( document.getElementById('comment').value  );
document.getElementById('customername').value =  fnReplaceXMLEncodedCharacters( document.getElementById('customername').value  );
vNumberOfTransforms = parseInt(window.document.docconfig.asfservletpreviewnumberoftransforms.value);
debugalert(vDebug, "fnOnloadConfig() started  vNumberOfTransforms  = " +  vNumberOfTransforms );
for ( i = 0; i < vNumberOfTransforms; i++ )
{
j = i + 1;
vPDSNotation   =   vPDSNotationStem.concat(j);
vPDSNotationElement =   document.getElementById( vPDSNotation );
if ( vPDSNotationElement != null )
{
debugalert(vDebug,'vPDSNotationElement for ' +  vPDSNotation + ' != null');
}
else
{
debugalert(vDebug,'vPDSNotationElement for ' +  vPDSNotation + ' is null');
}
}
vLanguageCodeElement = document.getElementById('languagecode')
if ( vLanguageCodeElement != null )
{
vLanguageCode = vLanguageCodeElement.value;
}
setMsgLanguage(vLanguageCode);
fnSetConfigLabels(vLanguageCode);
fnHideLayer('tabcust'    , vHideSections);
fnHideLayer('tabnls'     , vHideSections);
fnHideLayer('tabnetw'    , vHideSections);
fnHideLayer('tabdocconv' , vHideSections);
fnHideLayer('tablog'     , vHideSections);
fnHideLayer('tabtrc'     , vHideSections);
fnHideLayer('tabasfserv' , vHideSections);
fnHideLayer('tabsec'     , vHideSections);
fnHideLayer('tabdict'    , vHideSections);
break;
case 'docnetworkconfig.xsl':
document.getElementById('comment').value =  fnReplaceXMLEncodedCharacters( document.getElementById('comment').value  );
document.getElementById('customername').value =  fnReplaceXMLEncodedCharacters( document.getElementById('customername').value  );
fnHideLayer('tabgnco'    , vHideSections);
fnHideLayer('tabcust'    , vHideSections);
fnHideLayer('tabimsco'   , vHideSections);
fnHideLayer('tabimsmqco' , vHideSections);
fnHideLayer('tabcicsco'  , vHideSections);
fnHideLayer('tabcicsmqco', vHideSections);
fnHideLayer('tabadco'    , vHideSections);
break;
default:
}
return true;
}
function fnSetConfigLabels(aLanguageCode)
{
var vLanguageNameElement = document.getElementById('languagename');
if ( vLanguageNameElement != null )
{
document.getElementById('languagename').innerText =  fnGetLanguageName(aLanguageCode);
}
}
function fnProcessTransformCheckbox( aSource, aInputElement)
{
var vDebug = false;
var vNumberOfTransforms = 0;
var vIndex = 0;
var vIndexJ = 0;
var vNumberOfChecked = 0;
var vElement = null;
var vProcessIsOk = true;
vNumberOfTransforms = parseInt(window.document.docconfig.asfservletpreviewnumberoftransforms.value);
debugalert(vDebug, " fnProcessTransformCheckbox()  started");
for ( vIndex = 0;  vIndex < vNumberOfTransforms ; vIndex++)
{
vIndexJ = vIndex + 1;
vElement = document.getElementById(aSource.concat(vIndexJ));
if ( vElement != null )
{
if ( vElement.checked == true )
{
debugalert(vDebug, aSource + vIndexJ + " checked ");
vNumberOfChecked++;
if ( aInputElement.id !=  aSource.concat(vIndexJ))
{
debugalert(vDebug, aSource + vIndexJ + " set to not checked ");
if ( aInputElement.checked == true )
{
vNumberOfChecked--;
vElement.checked = false;
}
}
}
else
{
debugalert(vDebug, aSource + vIndexJ + " not checked ");
}
}
else
{
alert("Error :  Checkbox with id = " + aSource + "vIndexJ" + " does not exist ");
}
}
if ( vNumberOfChecked !=  1 )
{
debugalert(vDebug, "vNumberOfChecked = " + vNumberOfChecked);
vProcessIsOk = false;
}
debugalert(vDebug, " fnProcessTransformCheckbox()  finished and returns " + vProcessIsOk);
return vProcessIsOk;
}
function fnProcessCheckbox(aSource)
{
var vDebug = false;
var vCheckboxProcessed = true;
var vInputElement    = window.event.srcElement;
debugalert(vDebug, "fnProcessCheckbox() started aSource = " + aSource);
debugalert(vDebug, "Source vInputElement.id=" + vInputElement.id + " vInputElement.checked " + vInputElement.checked);
switch (aSource)
{
case 'asfservletpreviewtransformenabled' :
vCheckboxProcessed = fnProcessTransformCheckbox( aSource, vInputElement);
break;
case 'asfservletpreviewtransformpathpdsnotation' :
vCheckboxProcessed = false;
alert('DOC0599E Changing value for PDS Notation is currently not supported.');
break;
default:
}
debugalert(vDebug, "fnProcessCheckbox() started aSource = " + aSource);
return vCheckboxProcessed;
}
function fnReplaceXMLEncodedCharacters(aString)
{
var vString = aString;
vString = vString.replace( /&apos;/g, "'" );
vString = vString.replace( /&lt;/g, '<' );
vString = vString.replace( /&gt;/g, '>' );
vString = vString.replace( /&quot;/g, '"' );
vString = vString.replace( /&amp;/g, '&' );
return vString;
}
function fnRBLangcodeClick()
{
var  vElement = window.event.srcElement;
var  vElementId = null;
var  vValue = null;
var  vDebug = false;
if ( vElement == null )
{
vValue = 'en';
}
else
{
vElementId = vElement.id;
switch(vElementId)
{
case 'langcodeda' : vValue = 'da'; break;
case 'langcodede' : vValue = 'de'; break;
case 'langcodeen' : vValue = 'en'; break;
case 'langcodees' : vValue = 'es'; break;
case 'langcodefr' : vValue = 'fr'; break;
case 'langcodenl' : vValue = 'nl'; break;
default:
vValue = 'en';
}
}
debugalert(vDebug, "vValue="+vValue);
fnSetConfigLabels(vValue);
return vValue;
}
function isInputCorrect(aCheckMethod, aInput )
{
var vIsValidInput = false ;
switch(aCheckMethod)
{
case 'AlphaNumericDotUnderscoreWord' :
vIsValidInput = isValidInput('AlphaNumericDotUnderscoreWord', aInput);
break;
case 'AlphaNumericDotWord' :
vIsValidInput = isValidInput('AlphaNumericDotWord', aInput);
break;
case 'AlphaNumericWord':
vIsValidInput = isValidInput('AlphaNumericWord', aInput);
break;
case 'Integer':
vIsValidInput = isValidInput('Integer', aInput);
break;
case 'Numeric':
vIsValidInput = isValidInput('Numeric', aInput);
break;
case 'AlphaNumeric':
vIsValidInput = isValidInput('AlphaNumeric', aInput);
break;
case 'AlphaNumericDot':
vIsValidInput = isValidInput('AlphaNumericDot', aInput);
break;
case 'AlphaNumericDotUnderscore':
vIsValidInput = isValidInput('AlphaNumericDotUnderscore', aInput);
break;
case 'Alpha':
vIsValidInput = isValidInput('AlphaNumericDotWord', aInput);
break;
case 'RacfUserid':
vIsValidInput = isValidInput('RacfUserid', aInput);
break;
case 'Url':
vIsValidInput = isValidInput('Url', aInput);
break;
default:
vIsValidInput = true;
break;
}
return vIsValidInput;
}
function isNicknameNotReservedName(aNickname)
{
var vIsNicknameNotReservedName = true;
if ( aNickname == 'DONOTCHANGE' )
{
vIsNicknameNotReservedName = false;
}
return vIsNicknameNotReservedName;
}
function isValidInput(aCriterion, aInput)
{
var vRegExpString;
var vRegExp;
var vIsValidInput = true;
switch (aCriterion)
{
case 'AlphaNumericDotWord':
vRegExpString = '^[a-zA-Z]$|^[a-zA-z]([a-zA-Z0-9]|\.)+$';
break;
case 'AlphaNumericDotUnderscoreWord':
vRegExpString = '^[a-zA-Z]$|^[a-zA-z]([a-zA-Z0-9]|\.|_)+$';
break;
case 'AlphaNumericWord':
vRegExpString = '^[a-zA-Z]$|^[a-zA-z][a-zA-Z0-9]+$';
break;
case 'Integer':
vRegExpString = '^[0-9]$|^[1-9][0-9]+$';
break;
case 'Numeric':
vRegExpString = '^[0-9]+$';
break;
case 'AlphaNumeric':
vRegExpString = '^[a-zA-Z0-9]+$';
break;
case 'AlphaNumericDot':
vRegExpString = '^([a-zA-Z0-9]|\.)+$';
break;
case 'AlphaNumericDotUnderscore':
vRegExpString = '^([a-zA-Z0-9]|_|\.)+$';
break;
case 'Alpha':
vRegExpString = /^[a-zA-Z0-9]+$/;
break;
case 'RacfUserid':
vRegExpString = /^[a-zA-Z0-9#\$]+$/;
break;
case 'Url':
vRegExpString   = /^(http\:\/\/|tcp\:\/\/|ssl\:\/\/|https\:\/\/|ftp\:\/\/)([_a-zA-Z_0-9\.\\/-]+)([_a-zA-Z0-9]{0}|[_a-zA-Z0-9]{0}\:[0-9]+|[_a-zA-Z0-9]{0}\:[0-9]+\/)$/;
break;
default:
vRegExpString = /^[a-zA-Z0-9]+$/;
break;
}
vRegExp = new RegExp(vRegExpString);
if( vRegExp.test(aInput) == false )
{
vIsValidInput = false;
}
return vIsValidInput;
}
function check( aInput , aStartChars , aMiddleChars, aEndChars )
{
var    vCheck          = true;
var    vInputLength    = aInput.length;
var    vIndex          = 0;
var    vChar           = '';
while ( (vIndex < vInputLength) && ( vCheck == true ) )
{
vChar = aInput.charAt(vIndex);
if ( vIndex == 0 )
{
if ( aStartChars.indexOf(vChar) == -1 )
{
vCheck = false;
}
}
else
{
if ( vIndex ==  vInputLength - 1 )
{
if ( aEndChars.indexOf(vChar) == -1 )
{
vCheck = false;
}
}
else
{
if ( aMiddleChars.indexOf(vChar) == -1 )
{
vCheck = false;
}
}
}
vIndex++;
}
if (vInputLength == 0 )
{
vCheck = false;
}
return vCheck;
}
function  closeWindow()
{
var    vWin  = window.close();
}
function countNumberOfRemoves( aNumberOfConnectionsOld , aRemoveGenericFieldName)
{
var  vIndexI          = 0;
var  vIndexJ          = 0;
var  vRemoveElement   = new Array (1);
var  vCountRemove     = 0;
for ( vIndexI = 0;  vIndexI < aNumberOfConnectionsOld; vIndexI++)
{
vIndexJ = vIndexI + 1;
vRemoveElement = document.getElementsByName(aRemoveGenericFieldName + vIndexJ);
if ( vRemoveElement[0].checked == true )
{
vCountRemove++;
}
}
return (vCountRemove);
}
function fnFormatMessage( aRawMessage,  aInputElement)
{
var    vFormattedMessage;
var    vRegExp          = new RegExp("\{0\\}","g");
var    vInputId         = aInputElement.id;
var    vConstantLAB     = "LAB";
var    vGenericName;
var    vInputName = aInputElement.name;
var    vInputLabel;
vGenericName =  getGenericElementName(vInputName);
switch (vGenericName )
{
case 'asfservletpreviewtransformname':
vInputLabel = document.getElementById(vConstantLAB.concat(vGenericName));
break;
default:
vInputLabel = document.getElementById(vConstantLAB.concat(vInputId));
}
vFormattedMessage = aRawMessage.replace(vRegExp,vInputLabel.innerText);
return( vFormattedMessage);
}
function getGenericElementName(aElementName)
{
var vElementNameLength = aElementName.length;
var vElementName;
var vGenericElementName;
var vIMS               = 'ims';
var vIMSMQ             = 'imsmq';
var vCICS              = 'cics';
var vCICSMQ            = 'cicsmq';
var vIndexI            = 0;
var vChar;
var vCharCode;
var vNumberFound = false;
if ( vElementNameLength < 6 )
{
vGenericElementName = aElementName;
}
else
{
if ( aElementName.substring(0,6) == vCICSMQ )
{
vElementName = aElementName.substring(6,vElementNameLength);
}
else
{
if ( aElementName.substring(0,4) == vCICS )
{
vElementName = aElementName.substring(4,vElementNameLength);
}
else
{
if ( aElementName.substring(0,5) == vIMSMQ )
{
vElementName = aElementName.substring(5,vElementNameLength);
}
else
{
if ( aElementName.substring(0,3) == vIMS )
{
vElementName = aElementName.substring(3,vElementNameLength);
}
else
{
vElementName = aElementName;
}
}
}
}
vIndexI = 0;
vNumberFound = false;
while ( ( vIndexI < vElementName.length    ) &&  ( vNumberFound == false  ) )
{
vChar       = vElementName.charAt(vIndexI);
vCharCode   = vElementName.charCodeAt(vIndexI);
if (  ( vCharCode >= 48 ) && ( vCharCode <= 57 ) )
{
vNumberFound = true;
}
else
{
if ( vIndexI == 0 )
{
vGenericElementName = vChar;
}
else
{
vGenericElementName = vGenericElementName.concat(vChar);
}
}
vIndexI++;
}
}
return vGenericElementName;
}
function isValueAlphaNumericSpecial(aInput, aSpecialString)
{
var    vStartChars     = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vMiddleChars    = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vEndChars       = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vValueIsAlphaNumericSpecial = true;
vStartChars  = vStartChars.concat(aSpecialString);
vMiddleChars = vMiddleChars.concat(aSpecialString);
vEndChars    = vEndChars.concat(aSpecialString);
vValueIsAlphaNumericSpecial = check( aInput , vStartChars, vMiddleChars, vEndChars );
return vValueIsAlphaNumericSpecial;
}
function isValueAlphaNumericDotWord(aInput)
{
var    vStartChars     = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vMiddleChars    = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz.0123456789";
var    vEndChars       = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vValueIsAlphaNumericDotWord = true;
vValueIsAlphaNumericDotWord = check( aInput , vStartChars, vMiddleChars, vEndChars );
return vValueIsAlphaNumericDotWord;
}
function isValueAlphaNumericDotPlaceholderWord(aInput)
{
var    vStartChars     = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789$";
var    vMiddleChars    = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz.0123456789${}";
var    vEndChars       = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789}";
var    vValueIsAlphaNumericDotPlaceholderWord = true;
vValueIsAlphaNumericDotPlaceholderWord = check( aInput , vStartChars, vMiddleChars, vEndChars );
return vValueIsAlphaNumericDotPlaceholderWord;
}
function isValueAlphaNumericDotUnderscorePlaceholderWord(aInput)
{
var    vStartChars     = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789$";
var    vMiddleChars    = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz._0123456789${}";
var    vEndChars       = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789}";
var    vValueIsAlphaNumericDotUnderscorePlaceholderWord = true;
vValueIsAlphaNumericDotUnderscorePlaceholderWord = check( aInput , vStartChars, vMiddleChars, vEndChars );
return vValueIsAlphaNumericDotUnderscorePlaceholderWord;
}
function isValueAlphaNumericWord(aInput)
{
var    vStartChars     = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
var    vMiddleChars    = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vEndChars       = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
var    vValueIsAlphaNumericWord = true;
vValueIsAlphaNumericWord = check( aInput , vStartChars, vMiddleChars, vEndChars );
return vValueIsAlphaNumericWord;
}
function isValueDirectoryname(aInput)
{
var    vCheck          = true;
var    vInputLength    = aInput.length;
var    vIndex          = 0;
var    vChar;
var    vCharCode;
while ( (vIndex < vInputLength) && ( vCheck == true ))
{
vChar     = aInput.charAt(vIndex);
vCharCode = aInput.charCodeAt(vIndex);
if ( vIndex == 0 )
{
if (     (  vCharCode !=    47   )                          &&
( (  vCharCode <     65   ) || ( vCharCode >  90 ) ) &&
( (  vCharCode <     97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
else
{
if ( vIndex ==  vInputLength - 1 )
{
if (   (  vCharCode != 47   )                            &&
(  vCharCode != 92   )                            &&
( (  vCharCode <  48   ) || ( vCharCode >  57 ) )   &&
( (  vCharCode <  65   ) || ( vCharCode >  90 ) )   &&
( (  vCharCode <  97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
else
{
if (  (  vCharCode !=    46   )                                 &&
(  vCharCode !=    47   )                                 &&
(  vCharCode !=    58   )                                 &&
(  vCharCode !=    32   )                                 &&
(  vCharCode !=    92   )                                 &&
(  vCharCode !=    95   )                                 &&
( (  vCharCode <  48   ) || ( vCharCode >  57 ) )   &&
( (  vCharCode <  65   ) || ( vCharCode >  90 ) )   &&
( (  vCharCode <  97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
}
vIndex++;
}
if (vInputLength == 0 )
{
vCheck = false;
}
return vCheck;
}
function isValueFilename(aInput)
{
var    vCheck          = true;
var    vInputLength    = aInput.length;
var    vIndex          = 0;
var    vChar;
var    vCharCode;
while ( (vIndex < vInputLength) && ( vCheck == true )  )
{
vChar     = aInput.charAt(vIndex);
vCharCode = aInput.charCodeAt(vIndex);
if ( vIndex == 0 )
{
if (     (  vCharCode !=    47   )                             &&
( (  vCharCode <     65   ) || ( vCharCode >  90 ) ) &&
( (  vCharCode <     97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
else
{
if ( vIndex ==  vInputLength - 1 )
{
if ( ( (  vCharCode <  48   ) || ( vCharCode >  57 ) )   &&
( (  vCharCode <  65   ) || ( vCharCode >  90 ) )   &&
( (  vCharCode <  97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
else
{
if (  (  vCharCode !=    46   )                                 &&
(  vCharCode !=    47   )                                 &&
(  vCharCode !=    32   )                                 &&
(  vCharCode !=    58   )                                 &&
(  vCharCode !=    92   )                                 &&
(  vCharCode !=    95   )                                 &&
( (  vCharCode <  48   ) || ( vCharCode >  57 ) )   &&
( (  vCharCode <  65   ) || ( vCharCode >  90 ) )   &&
( (  vCharCode <  97   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
}
}
vIndex++;
}
if (vInputLength == 0 )
{
vCheck = false;
}
return vCheck;
}
function isValueGreaterEqualThan(aInput, aMinimumValue)
{
var vValueIsGreaterEqualThan = true;
if ( aInput < aMinimumValue )
{
vValueIsGreaterEqualThan = false;
}
return vValueIsGreaterEqualThan;
}
function isValueGreaterThan(aInput, aMinimumValue)
{
var vValueIsGreaterThan = true;
if ( aInput <= aMinimumValue )
{
vValueIsGreaterThan = false;
}
return vValueIsGreaterThan;
}
function isValueLessEqualThan(aInput, aMaximumValue)
{
var vValueIsLessEqualThan = true;
if ( aInput > aMaximumValue )
{
vValueIsLessEqualThan = false;
}
return vValueIsLessEqualThan;
}
function isValueLessThan(aInput, aMaximumValue)
{
var vValueIsLessThan = true;
if ( aInput >= aMaximumValue )
{
vValueIsLessThan = false;
}
return vValueIsLessThan;
}
function isValueText(aInput)
{
var    vCheck          = true;
var    vInputLength    = aInput.length;
var    vIndex          = 0;
var    vChar;
var    vCharCode;
while ( (vIndex < vInputLength) && ( vCheck == true )  )
{
vChar     = aInput.charAt(vIndex);
vCharCode = aInput.charCodeAt(vIndex);
if (  ( (  vCharCode <  32   ) || ( vCharCode >  46 ) )   &&
( (  vCharCode <  48   ) || ( vCharCode >  57 ) )   &&
( (  vCharCode <  65   ) || ( vCharCode >  90 ) )   &&
( (  vCharCode <  95   ) || ( vCharCode > 122 ) ) )
{
vCheck = false;
}
vIndex++;
}
if (vInputLength == 0 )
{
vCheck = false;
}
return vCheck;
}
function doScramble(aUseScramble, aClearPassword )
{
var vScramblePassword = null;
if ( aUseScramble == true )
{
vScramblePassword = window.document.configpasswordapplet.getScramble(aClearPassword);
}
else
{
vScramblePassword = aClearPassword;
}
return vScramblePassword;
}
function processAddPasswords(aConnectionType, aAddConnections)
{
var vUseScramble = true;
var vIndexI      = 0;
var vIndexJ      = 0;
var vNewPasswordElement;
var vConfirmNewPasswordElement;
var vScrambleNewPassword;
var vClearNewPassword;
var vScrambleConfirmNewPassword;
var vClearConfirmNewPassword;
var vAddConnections = parseInt(aAddConnections);
for ( vIndexI = 0; vIndexI < aAddConnections; vIndexI++)
{
vIndexJ = vIndexI + 1;
vNewPasswordElement = document.getElementById(aConnectionType + 'newpassword' + vIndexJ);
vClearNewPassword =  vNewPasswordElement.value;
vScrambleNewPassword = doScramble(vUseScramble, vClearNewPassword);
vNewPasswordElement.style.background = 'white';
vNewPasswordElement.innerText = vScrambleNewPassword;
vConfirmNewPasswordElement = document.getElementById(aConnectionType + 'confirmnewpassword' + vIndexJ);
vClearConfirmNewPassword   = vConfirmNewPasswordElement.value;
vScrambleConfirmNewPassword = doScramble(vUseScramble, vClearConfirmNewPassword);
vConfirmNewPasswordElement.style.background = 'white';
vConfirmNewPasswordElement.innerText = vScrambleConfirmNewPassword;
}
}
function processConnectionPasswords(aConnectionType, aNumbersOfConnections )
{
var  vUseScramble = true;
var  vIndexI = 0;
var  vIndexJ = 0;
var vChangePasswordElement;
var vClearNewPassword;
var vClearConfirmNewPassword;
var vScrambleNewPassword;
var vScrambleConfirmNewPassword;
var  vNewPasswordElement        ;
var  vConfirmNewPasswordElement ;
var  vNumbersOfConnections = parseInt(aNumbersOfConnections);
for ( vIndexI = 0; vIndexI < vNumbersOfConnections; vIndexI++)
{
vIndexJ = vIndexI + 1;
vChangePasswordElement = document.getElementById(aConnectionType + 'changepassword' + vIndexJ);
if ( vChangePasswordElement.checked == true )
{
vNewPasswordElement = document.getElementById(aConnectionType + 'newpassword' + vIndexJ);
vNewPasswordElement.style.background = 'white';
vClearNewPassword =  vNewPasswordElement.value;
vScrambleNewPassword = doScramble(vUseScramble, vClearNewPassword);
vNewPasswordElement.innerText = vScrambleNewPassword;
vConfirmNewPasswordElement = document.getElementById(aConnectionType + 'confirmnewpassword' + vIndexJ);
vConfirmNewPasswordElement.style.background = 'white';
vClearConfirmNewPassword   = vConfirmNewPasswordElement.value;
vScrambleConfirmNewPassword = doScramble(vUseScramble, vClearConfirmNewPassword);
vConfirmNewPasswordElement.innerText = vScrambleConfirmNewPassword;
}
}
}
function trimString(aUntrimmedString)
{
var re = / /gi;
var aTrimmedString = aUntrimmedString.replace(re,'');
return aTrimmedString;
}
function fnTestTextField( aElementName, aElementValue )
{
var  vDotChar = '.';
var  vBlankChar = ' ';
var  vInputOk = true;
var  vDebug   = false;
var  vElementName = null;
debugalert(vDebug, 'fnTestTextField() aElementName=' + aElementName + ' aElementValue=' + aElementValue);
vElementName = aElementName;
switch(vElementName)
{
case 'languagepath':
case 'documentconversionpath':
case 'dictionariesdictionarypath':
vInputOk =  isValueDirectoryname(aElementValue);
break;
case 'networkpath':
case 'documentconversionconfigfilename':
case 'logginggenericfilename':
case 'tracinggenericfilename':
case 'asfservletpreviewhtmlpath':
vInputOk =  isValueFilename(aElementValue);
break;
case 'tracingextension':
case 'loggingextension':
vInputOk =  isValueAlphaNumericSpecial(aElementValue, vDotChar);
break;
case 'loggingnumberofgenerations':
vInputOk =  isValidInput('Integer',aElementValue) && isValueGreaterThan(aElementValue,0);
break;
case 'tracingtracefileretentionperiod':
vInputOk =  isValidInput('Integer',aElementValue) && isValueGreaterThan(aElementValue, 23);
break;
case 'loggingfilesize':
vInputOk =  isValidInput('Integer',aElementValue) && isValueGreaterEqualThan(aElementValue, 10);
break;
case 'tracerecordlength':
case 'logrecordlength':
vInputOk =  isValidInput('Integer',aElementValue) && isValueGreaterEqualThan(aElementValue,100);
break;
case 'asfservletsessioncleanupperiod':
case 'asfservletsessionmaximumage':
vInputOk =  isValidInput('Integer',aElementValue) && isValueGreaterEqualThan(aElementValue, 5) && isValueLessEqualThan(aElementValue, 2880) ;
break;
case 'asfservletpreviewtransformextension':
vInputOk =  isValueAlphaNumericSpecial(aElementValue, vDotChar);
break;
case 'asfservletpreviewtransformname':
vInputOk =  isValueAlphaNumericSpecial(aElementValue, vBlankChar);
break;
case 'xcode':
case 'xcodeprefix':
vInputOk =  isValidInput('AlphaNumeric',aElementValue);
if ( fnTrim(aElementValue).length == 0 )
{
vInputOk = true;
}
break;
case 'dictsmaxnumberofcorrectsuggestions':
case 'addconnection':
case 'threshold':
case 'timeout':
case 'waitint':
vInputOk =  isValidInput('Integer',aElementValue);
break;
case 'hostnickname':
vInputOk =  isValueAlphaNumericWord(aElementValue) &&  isNicknameNotReservedName(aElementValue);
break;
case 'portnumber':
vInputOk =  isValidInput('Numeric',aElementValue);
break;
case 'datastorename':
case 'server':
case 'program':
vInputOk =  isValueAlphaNumericWord(aElementValue);
break;
case 'queuemanager':
case 'serverinqueue':
case 'serveroutqueue':
vInputOk =  isValueAlphaNumericDotUnderscorePlaceholderWord(aElementValue);
break;
case 'url':
vInputOk =  isValidInput('Url',aElementValue);
if ( vInputOk == false )
{
if ( aElementValue != 'local:' )
{
vInputOk = false;
}
else
{
vInputOk = true;
}
}
break;
case 'userid':
vInputOk =  isValidInput('RacfUserid',aElementValue);
break;
case 'dictsaddendadictionary':
vInputOk =  isValueAlphaNumericDotWord(aElementValue);
break;
default:
}
debugalert(vDebug, 'fnTestTextField() Return vInputOk = ' + vInputOk);
return vInputOk;
}
function fnGetLanguageName(aLanguageCode)
{
var vLanguageName = "Unknown";
switch (aLanguageCode)
{
case 'da' :   vLanguageName = "Dansk"  ;    break;
case 'de' :   vLanguageName = "Deutsch";    break;
case 'en' :   vLanguageName = "English";    break;
case 'es' :   vLanguageName = "Espa\u00f1ol";    break;
case 'fr' :   vLanguageName = "Fran\u00e7ais";   break;
case 'nl' :   vLanguageName = "Nederlands"; break;
default:
}
return vLanguageName;
}
function fnTrim(aUntrimmedString)
{
var re = / /gi;
var vTrimmedString = null;
if ( aUntrimmedString != null )
{
vTrimmedString = aUntrimmedString.replace(re,'');
}
return vTrimmedString;
}
