<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************                                                     
*                                                                           
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docconfig.xsl                                                  
*                                                                              
* Description : This style sheet is used as the style sheet input 
*               to a XSLT Transformation executed in 
*               DocASFServerConfigServlet which transforms the 
*               DocConfiguration.xml into a HTML form                     
*               which allows to display, enter and update the server 
*               configuration data
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @000  V01R00B00  02/17/2003 UZeh    Create                             
* @001  V01R00B00  02/17/2003 UZeh    Comments for future use
* @002  V01R00B00  02/20/2003 UZeh    Language selection list box
* @004  V01R00B00  03/10/2003 UZeh    link to cascading style sheet  docconfig.css
* @005  V01R00B00  03/28/2003 UZeh    PTR3258 New Variable
*                                     ztxtlabasfservletreplacesessiononresignon
* @006  V01R00B00  07/24/2003 UZeh    Use normalize-space to remove leading / trailing blanks 
* @007  V01R00B00  07/28/2003 UZeh    PTR3645 3rd Column and col span to prepare for preview fields 
* @008  deactivat  07/28/2003 UZeh    PTR3645 ASF Servlet Preview Fields 
* @009  V01R00B06  07/31/2003 UZeh    docconfigcommon.js as additional javascript src file 
* @010  V01R00B06  12/02/2003 UZeh    APAR PQ81570 / PTR3904 Support of Transform fields 
* @011  V01R01B06  12/05/2003 UZeh    PTR3879/1 Pass in Parameters
*                                     zdc4asfversion, zdocumentconversionpath, zpreviewdirectory  
* @012  V01R01B06  12/08/2003 UZeh    Remove Field Preview Directory                                     
* @013  deactive   12/09/2003 UZeh    APAR PQ81758 / PTR3916
*                                     New Field Client IP Address Check Enabled   
* @014  V01R01B06  12/09/2003 UZeh    APAR PQ81758 / PTR3916
*                                     New Field Transform URL 
* @015  V01R01B06  12/19/2003 UZeh    APAR PQ81758 / PTR 3916
*                                     New Security Fields ( including client ip address check enabled )
* @016  V01R01B06  01/02/2004 UZeh    APAR PQ81758 / PTR 3916 @013 Disabled  
* @017  V01R01B06  02/11/2004 UZeh    APAR PQ84516 PTR3997 New Field LastChangeBuildNumber
*                                     Parameter zdocumentconversionpath removed 
*                                     ztxtlabdocumentconversionpath renamed to ztxtlabdocumentconversionhtmlpath
* @018  V01R01B06  02/23/2004 UZeh    APAR PQ84516 PTR3997 New field
*                                     zosarchitecture 
*                  03/11/2004 UZeh    APAR PQ84516 Parameter names from servlet start with 'a'                 
* @019  V01R01B05  04/05/2004 UZeh    PTR4082
*                                     NLS Strings and Messages are made external parameters   
* @020  V01R01B06  07/06/2004 UZeh    PQ90865 PTR4046  aktuelldic removed from DocConfiguration.xml
* @021  V01R01B06  07/26/2004 UZeh    PQ91567 PTR4235  Make sessiontrace a list box  
* @022  V01R01B06  12/15/2004 UZeh    PQ08390 PTR4482   
*                                     - Factor out NLS string and message
*                                       parameters to docconfigglobals.xsl  
*                                     - Display copyright statement
*                                     - Use xheadertable rule to display header  
* @023  V01R01B06  03/03/2005 UZeh    PQ99886 PTR4555 Lastchanged size set to 24, LastChangeBuildNumber size set to 40 
* @024  V01R01B07  04/20/2005 MMar    Replaced linked css style docconfig.css with docproduct.css and doccustom.css
* @025  V01R01B06  05/20/2005 UZeh    PK06030 PTR4897 Last Servlet init timestamp, Remove xcustomer rule  
*		 		      Added class="configpage" to body element
* 				      Added <div id="configpage">
* @026   V01R01B07 08/16/2005 MMar    doccustom.css is now in custom directory
* @027  V01R01B07  10/10/2005 UZeh    Parameter apathsarerelative added
* @028  1.1.7      10/14/2005 UZeh    In case of apathsarerelaive = Y display path infos as string 
* @029  1.2.1      02/13/2006 UZeh    PK17220 PTR5419 Measure XSLT Start and End time
* @030  1.2.2      04/04/2006 UZeh    DEACTIVE 
*                                     DPTR5518 Support of new spellcheck configuration fields(JFROST) with new XSL Parameters   
* @031  1.2.2      04/10/2006 MMar    DPK22286 Encoding changed to UTF-8 
* @032  1.2.2      04/18/2006 UZeh    DPTR5518 Parameter atokentypeunknown 
* @033  1.2.2      04/20/2006 UZeh    DPTR5560 New tracing field Retention Period 
* @034  1.2.2      05/09/2006 UZeh    DPTR5518 Languagecode    
* @035  1.2.2      05/11/2006 UZeh    DPTR5560 Display initial value for RetentionPeriod if tag not there 
* @036  1.2.2      05/31/2006 UZeh    DPTR5666 Factor out common function (fxLabel,fxButton,fxCheckbox,fxInput)  
* @037  1.2.2      06/09/2006 UZeh    DPTR5666 Prepare future fields and new rule xafppathtextarea   
* @038  1.2.2      06/26/2006 UZeh    DPTR5700 fxCheckbox. New parameters xcbfnOnClick xcbfnOnKeyPress  
*                                     encoding='utf-8'  in <xsl:output>   
*                                     Test transform name ,extension to be alphanumeric dot (word)                         
* @039  1.2.2      07/03/2006 UZeh    DPTR5697 If PDS = 'Y' allow to enter psegs,overlays
*                                              If PDS = 'N' allow to enter path,classname, 
*                                     Simply javascript code by fnIsOfValidType(),fnIsValidTypeAndNotEmpty()
* @040  1.2.2      07/10/2006 UZeh    DPTR5731 Support of sections
*                                     Button section added (xbuttonlist)
* @041  1.2.2      09/22/2006 UZeh    DPTR5886 Deactivate input for addenda dict, maxnumberofsuggest, tokentypelist
*                                                                     
*-->

                     

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!-- Arguments         provided from DocASFServerConfigServlet       -->

<!-- Content Arguments                                               -->
<!--                                                                 -->
<!-- anlspathelement     Paths are Relative ( Y or N )               -->
<!-- anlspathelement     NLS Path                                    -->
<!-- adc4asfversion      DC for ASF Version                          -->
<!-- aosarchitecture     Operating System Architecture               -->
<!-- alangelement        2 digit language identifier                 -->
<!-- alastservletinittimestamp timestamp of last servlet init        -->    

<xsl:param name="apathsarerelative"/> <!-- @027a --> 
<xsl:param name="anlspathelement"/> 
<xsl:param name="adc4asfversion"/> 
<xsl:param name="aosarchitecture"/> 
<xsl:param name="alangelement"/>  
<xsl:param name="alastservletinittimestamp"/> <!-- @025a --> 
<xsl:param name="ajfrostsupport"/> <!-- @032a --> 


<!-- <xsl:param name="aaktueeldic"/> @020d --> 
<xsl:param name="adanskdic"/>              
<xsl:param name="adeutschdic"/>                         
<xsl:param name="adeutsch2dic"/> 
<xsl:param name="adschweizdic"/>                        
<xsl:param name="aespanadic"/>                         
<xsl:param name="afrancaisdic"/>    
<xsl:param name="anederlnddic"/> 
<xsl:param name="anedplusdic"/> 
<xsl:param name="aukdic"/>                         
<xsl:param name="ausdic"/>                        

<!-- @030a Start -->                

   
      
<xsl:param name="atokentypeacronym"/>                         
<xsl:param name="atokentypecapitalizedword"/>                         
<xsl:param name="atokentypecurrency"/>                         
<xsl:param name="atokentypedate"/>                         
<xsl:param name="atokentypeemail"/>                         
<xsl:param name="atokentypefilepath"/>                         
<xsl:param name="atokentypelowercaseword"/>                         
<xsl:param name="atokentypenumber"/>                         
<xsl:param name="atokentypeparagraphbreak"/>                         
<xsl:param name="atokentypepunctuation"/>                         
<xsl:param name="atokentyperoman"/>                         
<xsl:param name="atokentypesentencebreak"/>                         
<xsl:param name="atokentypetel"/>                         
<xsl:param name="atokentypetime"/> 
<xsl:param name="atokentypeunknown"/> <!-- @32a -->                          
<xsl:param name="atokentypeuppercaseword"/>                         
<xsl:param name="atokentypeurl"/>                         
<xsl:param name="atokentypeversion"/>                         
<xsl:param name="atokentypewhitespace"/>                         
<xsl:param name="atokentypeword"/>                         
<xsl:param name="atokentypeworklikesequence"/>                         
                
           

<!-- @030d End -->

<!-- ************************************************************** -->
<!--     Include Globals Stylesheet                                 --> 
<!-- ************************************************************** -->


<xsl:include href="docconfigglobals.xsl"/>
<xsl:include  href="docbase.xsl"/>

<!-- Output method is html -->

<xsl:output method='html' encoding='utf-8' doctype-public='-//W3C//DTD HTML 4.0//EN'/>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!--        Here the Node Rules follow                              --> 
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<!-- Root Node                                                      --> 
 


<xsl:template match = "/">                              
   <xsl:message>XSLT Starttime<xsl:call-template name="fxGetCurrentTimestamp"/></xsl:message>                              
     <xsl:element name = "html" >                        
        <xsl:attribute name = "lang">                     
          <xsl:value-of select= "$alangelement"/>        
        </xsl:attribute>                                  
        <xsl:apply-templates/>                            
     </xsl:element>                                                        
   <xsl:message>XSLT Endtime  <xsl:call-template name="fxGetCurrentTimestamp"/></xsl:message>                          
</xsl:template>                                         
 

<!--                                                                 -->  
<!--  DocConfiguration Node                                          -->
<!--                                                                 -->

<xsl:template match = "DocConfiguration"> 
   
  
   <head>   
   
   <!-- @031 -->
   <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
   <xsl:element name="meta">
        <xsl:attribute name="name">Copyright</xsl:attribute>
        <xsl:attribute name="content">(C) Copyright IBM Corporation 2003</xsl:attribute>
   </xsl:element>   
              

  <!-- Link to cascading style sheet docconfig.css -->
  <!--  
  <link rel="stylesheet" type="text/css" href="./css/docconfig.css"/> 
  -->
  <!-- @024 -->
  <link rel="stylesheet" type="text/css" href="./css/docproduct.css"/> 
  <link rel="stylesheet" type="text/css" href="./custom/doccustom.css"/> 
 
   <title>
   <xsl:value-of select= "$ztxtlabtitle"/>   
   </title>
   <script language="javascript" src="./javascript/docnls.js"/>
   <script language="javascript" src="./javascript/docmsg.js"/>
   <script language='javascript' src='./javascript/docconfigcommon.js'/> 
   <script language='javascript'>
     <xsl:call-template name = "javascriptfunctions">
     </xsl:call-template> 
   </script>
   
   </head>
   <!-- <h1><xsl:value-of select="$aosarchitecture"/></h1> -->

   <!-- @024 -->
   <body class="configpage" onload="return fnOnloadConfig('docconfig.xsl')">
   <div id="configpage" >

   <form name='docconfig' method='post'>   
   
    
   <!-- Display Header Table with image , title , version string ... -->

   <xsl:call-template name="xheadertable">
       <xsl:with-param name="yheadertitle">
          <xsl:value-of select="$ztxtlabtitle"/>
       </xsl:with-param>       
       <xsl:with-param name="ydc4asfversion">
          <xsl:value-of select="$adc4asfversion"/>
       </xsl:with-param>
       <xsl:with-param name="ycopyright">
          <xsl:value-of select="$zcopyright"/>
       </xsl:with-param>
   </xsl:call-template>

   <!-- Display NLS  -->      

   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabnls</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlablanguage"/></xsl:with-param>
   </xsl:call-template>
   <div id='tabnls'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup>
   <xsl:apply-templates select="NLS" >
        <xsl:with-param name = "anlspathelement" select="$anlspathelement"></xsl:with-param>     
   </xsl:apply-templates> 
   </table>
   </div> 

   <!-- Display Network  -->      

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabnetw</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabnetwork"/></xsl:with-param>
   </xsl:call-template>
   <div id='tabnetw'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup>
  
     <xsl:apply-templates select="Network" />

   </table>
   </div> 

   <!-- Display Document Conversion  -->

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabdocconv</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabdocumentconversion"/></xsl:with-param>
   </xsl:call-template>
   <div id='tabdocconv'>      
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup>
   <xsl:apply-templates select="XSLConversion" />    
   </table>
   </div>

   <!-- Display Logging  -->

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tablog</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlablogging"/></xsl:with-param>
   </xsl:call-template>

   <div id='tablog'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup>  
   <xsl:apply-templates select="Logging" />     
   </table>
   </div>

   <!-- Display Tracing  -->
  
   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabtrc</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabtracing"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabtrc'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup>  
   <xsl:apply-templates select="Tracing" />
   </table>
   </div>

   <!-- Display Security -->   

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabsec</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabsecurity"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabsec'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup> 


   <xsl:apply-templates select="Security" /> 
  
   </table>
   </div>
   

   <!-- Display ASFServlet -->

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabasfserv</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabasfservlet"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabasfserv'>  
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup> 
   <xsl:apply-templates select="ASFServlet">
      <xsl:with-param name = "alangelement" select="$alangelement"></xsl:with-param>     
      <xsl:with-param name = "aosarchitecture" select="$aosarchitecture"></xsl:with-param>
   </xsl:apply-templates>  
   </table>  
   </div>

   <!-- Display Spellcheck -->

   <xsl:call-template name="xhideshowanchortable">
      <xsl:with-param name="atable">tabdict</xsl:with-param>
      <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabdictionaries"/></xsl:with-param>
   </xsl:call-template>
   <div id='tabdict'>
   <table border='1'>
   <colgroup>
        <col width="14%"></col>
        <col width="43%"></col> 
        <col width="43%"></col>        
   </colgroup> 
   <xsl:apply-templates select="Spellcheck" />  

   </table> 
   </div>   
  
   <!-- Display Customer -->

   <xsl:call-template name="xcustomer">    
      <xsl:with-param name = "acaller">docconfig.xsl</xsl:with-param>   <!-- @025 -->
   </xsl:call-template>  
         
   <!-- Display button list --> 

   <!-- <xsl:call-template name="xbuttonlist"/> -->  <!-- @040a deactive -->

  
    
   <!--                                                       -->
   <!-- Display button table                                  -->
   <!--                                                       -->   


 
   <xsl:call-template name = "xbuttontable"> 
      
        <xsl:with-param name = "acaller">docconfig.xsl</xsl:with-param> 
        
   </xsl:call-template> 
   

   </form>
  <!-- @024 -->
   </div>
   </body>
   
</xsl:template>   

<!--                                                                 -->  
<!--  NLS Node                                                       -->
<!--                                                                 -->


<xsl:template match = "NLS"> 
   <xsl:param name = "anlspathelement" />
  
   
 

   <tr>
   <th colspan='3'>
      <xsl:value-of select= "$ztxtlablanguage"/>  
   </th>   
   </tr>
   <!-- Language Name and Language code -->
   <tr>
   <td> 
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABlanguage</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablanguage"/></xsl:with-param>
      </xsl:call-template>  
   </td>

   <td colspan='2'>  
    
   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">languagename</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"></xsl:with-param>
      </xsl:call-template> 
      <xsl:call-template name="fxHidden">
            <xsl:with-param name="xhdfid">languagecode</xsl:with-param>               
            <xsl:with-param name="xhdfnm">langaugecode</xsl:with-param>    
            <xsl:with-param name="xhdfro">Y</xsl:with-param>                
            <xsl:with-param name="xhdfsz">4</xsl:with-param>  
            <xsl:with-param name="xhdfmx">4</xsl:with-param>   
            <xsl:with-param name="xhdfva"><xsl:value-of select="$alangelement"/></xsl:with-param>  
      </xsl:call-template> 
   </td>
   </tr>
   <!-- Field Language Path    -->

    


   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABlanguagepath</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablanguagepath"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'>
   <!-- @028 -->
   <xsl:choose>  
       <xsl:when test="$apathsarerelative='N'">
         <xsl:element name = "input" > 
            <xsl:attribute name = "type" >text</xsl:attribute>
            <xsl:attribute name = "id"   >languagepath</xsl:attribute>    
            <xsl:attribute name = "name" >languagepath</xsl:attribute> 
            <xsl:attribute name = "size" >60</xsl:attribute> 
            <xsl:attribute name = "value"> 
                 <xsl:value-of select = "$anlspathelement" /> 
            </xsl:attribute> 
            <xsl:attribute name = "onBlur">return(fnIsValidDirectoryname())</xsl:attribute>     
         </xsl:element>  
       </xsl:when>
       <xsl:otherwise>
             <xsl:value-of select = "$anlspathelement" /> 
       </xsl:otherwise>          
   </xsl:choose> 
   </td>
   </tr>

   <!-- @002 Start -->

   <!-- Field Selectable Languages -->

    

   <xsl:call-template name="xselectablelanguagecodes">
        <xsl:with-param name="aselectorname">Language</xsl:with-param>          <!-- @034  -->
        <xsl:with-param name="amultipleselection">Y</xsl:with-param>     <!-- @034  -->
        <xsl:with-param name="asizeselection">6</xsl:with-param>                <!-- @034  -->   
        <xsl:with-param name="afieldname">languagecodes</xsl:with-param>        <!-- @034  -->
        <xsl:with-param name="afieldlabel"><xsl:value-of select="$ztxtlablanguageselection"/></xsl:with-param>                    <!-- @034  -->  
   </xsl:call-template>  
              
        

   
   <!-- @002 End   -->
</xsl:template> 



<!--                                                                 -->  
<!--  Network Node                                                   -->
<!--                                                                 -->

<xsl:template match = "Network">
   <tr>
   <th colspan='3'>
      <xsl:value-of select= "$ztxtlabnetwork"/>  
   </th>  
   </tr>

   <!-- Field Network Config Path    -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABnetworkpath</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabnetworkconfigfilename"/></xsl:with-param>
      </xsl:call-template>        
   </td>
   <td align='left' colspan='2'> 
   <!-- @028 -->
   <xsl:choose>  
       <xsl:when test="$apathsarerelative='N'">
          <xsl:element name = "input" > 
             <xsl:attribute name = "type" >text</xsl:attribute> 
             <xsl:attribute name = "name" >networkpath</xsl:attribute>      
             <xsl:attribute name = "id"   >networkpath</xsl:attribute>   
             <xsl:attribute name = "size" >60</xsl:attribute> 
             <xsl:attribute name = "value"> 
                <xsl:value-of select = "normalize-space(ConfigFile)" /> 
             </xsl:attribute>       
             <xsl:attribute name = "onBlur">return(fnIsValidFilename())</xsl:attribute>     
           </xsl:element> 
       </xsl:when>
       <xsl:otherwise>
              <xsl:value-of select = "normalize-space(ConfigFile)" />   
       </xsl:otherwise>  
   </xsl:choose>        
   </td> 
   </tr>
</xsl:template> 

<!--                                                                 -->  
<!--  XSL Conversion Node                                            -->
<!--                                                                 -->

<xsl:template match = "XSLConversion">


 
   <tr>
   <th colspan='3'>
       <xsl:value-of select= "$ztxtlabdocumentconversion"/>  
   </th>  
   </tr>

   <!-- Field XSLConversion HTMLPath    -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABdocumentconversionpath</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabdocumentconversionhtmlpath"/></xsl:with-param>
      </xsl:call-template>       
   </td>
   <td align='left' colspan='2'> 

      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">documentconversionpath</xsl:with-param>
          <xsl:with-param name="xipfnm">documentconversionpath</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">50</xsl:with-param>
          <xsl:with-param name="xipfmx">1000</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(HTMLPath)"/></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsValidDirectoryname())</xsl:with-param> 
      </xsl:call-template> 
      
   </td> 
   </tr>

   <!-- Field XSLConversion ConfigFile    -->
   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABdocumentconversionconfigfilename</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabdocumentconversionconfigfilename"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'> 
   <!-- @028 --> 
   <xsl:choose>  
      <xsl:when test="$apathsarerelative='N'">
         <xsl:call-template name="fxInput">
           <xsl:with-param name="xipfid">documentconversionconfigfilename</xsl:with-param>
           <xsl:with-param name="xipfnm">documentconversionconfigfilename</xsl:with-param>
           <xsl:with-param name="xipfro">N</xsl:with-param>
           <xsl:with-param name="xipfsz">50</xsl:with-param>
           <xsl:with-param name="xipfmx">1000</xsl:with-param>
           <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(ConfigFile)"/></xsl:with-param>
           <xsl:with-param name="xipfnOnBlur">return(fnIsValidFilename())</xsl:with-param> 
         </xsl:call-template> 
      </xsl:when>
      <xsl:otherwise>
           <xsl:value-of select = "normalize-space(ConfigFile)" /> 
      </xsl:otherwise>  
   </xsl:choose>    
   </td> 
   </tr>

</xsl:template> 



<!--                                                                 -->  
<!--  Logging Node                                                   -->
<!--                                                                 -->

<xsl:template match = "Logging">

   <xsl:variable name="loggingactivated">
       <xsl:value-of select="@enable"/>  
   </xsl:variable>


   <tr>
   <th colspan='3'>
   <xsl:value-of select= "$ztxtlablogging"/> 
   </th>   
   </tr>

   <!-- Field Logging Enabled    -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABloggingenabled</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabloggingenabled"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">loggingenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">loggingenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$loggingactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>   
   </td> 
   </tr>

   <!-- Field Log File Generic Filename     -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABlogginggenericfilename</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabloggenericfilename"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'> 
     <!-- @028 --> 
     <xsl:choose>  
       <xsl:when test="$apathsarerelative='N'">
           <xsl:call-template name="fxInput">
              <xsl:with-param name="xipfid">logginggenericfilename</xsl:with-param>
              <xsl:with-param name="xipfnm">logginggenericfilename</xsl:with-param>
              <xsl:with-param name="xipfro">N</xsl:with-param>
              <xsl:with-param name="xipfsz">50</xsl:with-param>
              <xsl:with-param name="xipfmx">1000</xsl:with-param>
              <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(GenericName)"/></xsl:with-param>
              <xsl:with-param name="xipfnOnBlur">return(fnIsValidDirectoryname())</xsl:with-param> 
           </xsl:call-template> 
   
      </xsl:when> 
      <xsl:otherwise>
               <xsl:value-of select = "normalize-space(GenericName)" /> 
      </xsl:otherwise>
    </xsl:choose>       
   </td> 
   </tr>

   <!-- Field Log File Extension    -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABloggingextension</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablogfileextension"/></xsl:with-param>
      </xsl:call-template>         
   </td>
   <td align='left' colspan='2'> 
           <xsl:call-template name="fxInput">
              <xsl:with-param name="xipfid">loggingextension</xsl:with-param>
              <xsl:with-param name="xipfnm">loggingextension</xsl:with-param>
              <xsl:with-param name="xipfro">N</xsl:with-param>
              <xsl:with-param name="xipfsz">5</xsl:with-param>
              <xsl:with-param name="xipfmx">10</xsl:with-param>
              <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Extension)"/></xsl:with-param>
              <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericSpecial('.'))</xsl:with-param> 
           </xsl:call-template> 
  
   </td> 
   </tr>

   <!-- Field Log File Number of Generations   -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABloggingnumberofgenerations</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablogfilenumberofgenerations"/></xsl:with-param>
      </xsl:call-template>       
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxInput">
           <xsl:with-param name="xipfid">loggingnumberofgenerations</xsl:with-param>
           <xsl:with-param name="xipfnm">loggingnumberofgenerations</xsl:with-param>
           <xsl:with-param name="xipfro">N</xsl:with-param>
           <xsl:with-param name="xipfsz">5</xsl:with-param>
           <xsl:with-param name="xipfmx">4</xsl:with-param>
           <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(NumberOfGenerations)"/></xsl:with-param>
           <xsl:with-param name="xipfnOnBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterThan(0))</xsl:with-param> 
      </xsl:call-template>   
   </td> 
   </tr>   

   <!-- Field Log File Maximum Size   -->

   <tr>
   <td>    
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABloggingfilesize</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablogfilemaxsize"/></xsl:with-param>
      </xsl:call-template>     
   </td>
   <td align='left' colspan='2'> 
          <xsl:call-template name="fxInput">
              <xsl:with-param name="xipfid">loggingfilesize</xsl:with-param>
              <xsl:with-param name="xipfnm">loggingfilesize</xsl:with-param>
              <xsl:with-param name="xipfro">N</xsl:with-param>
              <xsl:with-param name="xipfsz">5</xsl:with-param>
              <xsl:with-param name="xipfmx">10</xsl:with-param>
              <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Filesize)"/></xsl:with-param>
              <xsl:with-param name="xipfnOnBlur">return(fnIsInteger()  &amp;&amp; fnIsGreaterThan(9))</xsl:with-param> 
          </xsl:call-template>  
  
   </td> 
   </tr>

   <!-- Field Log File Recordlength     -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABlogrecordlength</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlablogfilerecordlength"/></xsl:with-param>
      </xsl:call-template>       
   </td>
   <td align='left' colspan='2'> 
          <xsl:call-template name="fxInput">
              <xsl:with-param name="xipfid">logrecordlength</xsl:with-param>
              <xsl:with-param name="xipfnm">logrecordlength</xsl:with-param>
              <xsl:with-param name="xipfro">N</xsl:with-param>
              <xsl:with-param name="xipfsz">8</xsl:with-param>
              <xsl:with-param name="xipfmx">10</xsl:with-param>
              <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Recordlength)"/></xsl:with-param>
              <xsl:with-param name="xipfnOnBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterThan(99))</xsl:with-param> 
          </xsl:call-template>  
   </td> 
   </tr>
</xsl:template> 


<!--                                                                 -->  
<!--  Tracing Node                                                   -->
<!--                                                                 -->

<xsl:template match = "Tracing">

   <xsl:variable name="tracingactivated">
       <xsl:value-of select="@enable"/>  
   </xsl:variable>


   <xsl:variable name="tracingsessiontraceactivated">
       <xsl:value-of select="@sessiontrace"/>  
   </xsl:variable>
   
   <xsl:variable name="tracetypeAL">AL</xsl:variable>
   <xsl:variable name="tracetypeBU">BU</xsl:variable>
   <xsl:variable name="tracetypeCN">CN</xsl:variable>
   <xsl:variable name="tracetypeER">ER</xsl:variable>
   <xsl:variable name="tracetypeLG">LG</xsl:variable>
   <xsl:variable name="tracetypePF">PF</xsl:variable>
   <xsl:variable name="tracetypeUS">US</xsl:variable>

   <xsl:variable name="selectorname">Type</xsl:variable>
  
   <tr>
   <th colspan='3'>
      <xsl:value-of select= "$ztxtlabtracing"/> 
   </th>   
   </tr>

   <!-- Field Tracing enabled -->

   <tr>
   <td>    
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABtracingenabled</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabtracingenabled"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">tracingenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">tracingenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$tracingactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
    
         <xsl:with-param name = "xcbfnOnKeyPress">return fnOnclickCheckbox('tracingenabled')</xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick">return fnOnclickCheckbox('tracingenabled')</xsl:with-param>
 
      </xsl:call-template>   
   </td> 
   </tr>

   <!-- Field Session Trace -->

   <!-- @021 Start --> 

   <xsl:call-template name="xsessiontrace">
       <xsl:with-param name="atxtlabtracingsessiontrace">
         <xsl:value-of select="$ztxtlabtracingsessiontrace"/>
       </xsl:with-param>
       
       <xsl:with-param name="asessiontrace">
            <xsl:value-of select="$tracingsessiontraceactivated"/>
       </xsl:with-param>
   </xsl:call-template>

   
   <!-- @021 End   --> 
   <!-- @033 Start -->
   <!-- Field Trace Retention Period -->

   <!-- @035a Start -->

   <xsl:variable name="xtrcretentionperiod">
          <xsl:value-of select = "normalize-space(RetentionPeriod)" /> 
   </xsl:variable>
   <xsl:variable name="xtrcretentionperiodlength">
          <xsl:value-of select = "string-length($xtrcretentionperiod)" /> 
   </xsl:variable>

   <!-- @035a End -->
   <tr>
   <td>       
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracingtracefileretentionperiod</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracefileretentionperiod"/></xsl:with-param>
      </xsl:call-template>  
   </td>
   <td align='left' colspan='2'> 
       
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "name" >tracingtracefileretentionperiod</xsl:attribute>
      <xsl:attribute name = "id"   >tracingtracefileretentionperiod</xsl:attribute>
      <xsl:attribute name = "size" >5</xsl:attribute>       
      <xsl:attribute name = "value">
           <xsl:choose>
           <xsl:when test="$xtrcretentionperiodlength=0">24</xsl:when> 
           <xsl:otherwise><xsl:value-of select = "$xtrcretentionperiod"/></xsl:otherwise>  
           </xsl:choose> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterThan(23))</xsl:attribute>   
   </xsl:element> 
         
   </td> 
   </tr>


   <!-- @033 End   -->
   <!-- Field Trace File Generic Name -->

   <tr>
   <td>    
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracinggenericfilename</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracegenericfilename"/></xsl:with-param>
      </xsl:call-template>       
   </td>
   <td align='left' colspan='2'> 
       <!-- @028 -->   
       <xsl:choose>  
         <xsl:when test="$apathsarerelative='N'">
            <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">tracinggenericfilename</xsl:with-param>
               <xsl:with-param name="xipfnm">tracinggenericfilename</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">50</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(GenericName)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsValidDirectoryname())</xsl:with-param> 
            </xsl:call-template>    
         </xsl:when>
         <xsl:otherwise>
              <xsl:value-of select = "normalize-space(GenericName)" /> 
         </xsl:otherwise>
     </xsl:choose>    
   </td> 
   </tr>

   <!-- Field Trace File Extension     -->

   <tr>
   <td>      
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracingextension</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracefileextension"/></xsl:with-param>
      </xsl:call-template>     
   </td>
   <td align='left' colspan='2'> 
            <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">tracingextension</xsl:with-param>
               <xsl:with-param name="xipfnm">tracingextension</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">5</xsl:with-param>
               <xsl:with-param name="xipfmx">10</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Extension)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericSpecial('.'))</xsl:with-param> 
            </xsl:call-template>   
   </td> 
   </tr>

   <!-- Field Trace File Record length     -->
   
   <tr>
   <td> 
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracerecordlength</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracefilerecordlength"/></xsl:with-param>
      </xsl:call-template>     
   </td>
   <td align='left' colspan='2'> 
         <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">tracerecordlength</xsl:with-param>
               <xsl:with-param name="xipfnm">tracerecordlength</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">8</xsl:with-param>
               <xsl:with-param name="xipfmx">12</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Recordlength)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterThan(99))</xsl:with-param> 
         </xsl:call-template>   
   </td> 
   </tr>

   <!-- Field Trace Class Names     -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracingclasses</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracetraceableclassnames"/></xsl:with-param>
      </xsl:call-template>         
   </td>
   <td align='left' colspan='2'>
   <xsl:element name = "textarea" > 
      <xsl:attribute name = "name" >tracingclasses</xsl:attribute> 
      <xsl:attribute name = "id"   >tracingclasses</xsl:attribute> 
      <xsl:attribute name = "cols" >30</xsl:attribute>
      <xsl:attribute name = "rows" >10</xsl:attribute>
      <xsl:for-each select="Class/Classname">  
          <xsl:value-of select="normalize-space(.)" />
          <xsl:text>
</xsl:text>   
      </xsl:for-each>                
   </xsl:element>
   </td>
   </tr>
   <tr>
      
   
   <!--   Field Trace Types  -->

   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtracingtracetypes</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabtracetraceabletracetypes"/></xsl:with-param>
      </xsl:call-template>   
   </td>
   <td align='left' colspan='2'>
   <xsl:element name="select">
      <xsl:attribute name = "name">tracingtracetypes</xsl:attribute>
      <xsl:attribute name = "id"  >tracingtracetypes</xsl:attribute>
      <xsl:attribute name = "size">7</xsl:attribute>
      <xsl:attribute name = "multiple">multiple</xsl:attribute>

            <xsl:element name="option">                    
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeAL"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param> 
               </xsl:call-template>              
            </xsl:element>
            <xsl:element name="option">                    
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeBU"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param> 
               </xsl:call-template>              
            </xsl:element> 
            <xsl:element name="option">  
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeCN"></xsl:with-param>
                  <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param>  
               </xsl:call-template>               
            </xsl:element>
             <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeER"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param>  
               </xsl:call-template>               
            </xsl:element> 
            <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeLG"></xsl:with-param> 
                             <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param> 
               </xsl:call-template>               
            </xsl:element> 
            <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypePF"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param> 
               </xsl:call-template>               
            </xsl:element>
            <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$tracetypeUS"></xsl:with-param> 
                             <xsl:with-param name = "xselectorname" select="$selectorname"></xsl:with-param>  
               </xsl:call-template>               
            </xsl:element> 
    
 
     </xsl:element>
   
   </td>
   </tr>




</xsl:template> 

<!--                                                               -->  
<!--  Security Node                                                -->
<!--                                                               -->

<xsl:template match = "Security">
  
   <xsl:variable name="securityclientipaddresscheckactivated">
      <xsl:value-of select="ClientIPAddrCheck/@enable"/>  
   </xsl:variable>
    <xsl:variable name="securityencryptionactivated">
      <xsl:value-of select="Encryption/@enable"/>  
   </xsl:variable>

   
   <tr>
   <th colspan='3'>
      <xsl:value-of select= "$ztxtlabsecurity"/>
   </th>    
   </tr>

   
   <!-- Field EncyptionEnabled     -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABsecurityencryptionenabled</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabsecurityencryptionenabled"/></xsl:with-param>
      </xsl:call-template>             
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">securityencryptionenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">securityencryptionenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$securityencryptionactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
     </xsl:call-template>  
   </td> 
   </tr>
   
   
   <!-- Field Class-->

   <tr>
     <td>   
       <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABsecurityclass</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabsecurityclass"/></xsl:with-param>
       </xsl:call-template>
     </td>

     <td align='left' colspan='2'> 
         <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">securityclass</xsl:with-param>
               <xsl:with-param name="xipfnm">securityclass</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">60</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Class)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur"></xsl:with-param> 
         </xsl:call-template>  
       
     </td> 

   </tr> 



   <!-- Field Path -->

   <tr>
   <td>      
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABsecuritypath</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabsecuritypath"/></xsl:with-param>
      </xsl:call-template>     
   </td>
   <td align='left' colspan='2'> 
      <!-- @028 -->
      <xsl:choose>
         <xsl:when test="$apathsarerelative='N'">
            <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">securitypath</xsl:with-param>
               <xsl:with-param name="xipfnm">securitypath</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">40</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Path)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsEmptyOrIsValidDirectoryname())</xsl:with-param> 
            </xsl:call-template>   
         </xsl:when>
         <xsl:otherwise>
                 <xsl:value-of select = "normalize-space(Path)" /> 
         </xsl:otherwise> 
      </xsl:choose>      
   </td> 
   </tr>

   <!-- Field ClientIPAddressCheck     -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABsecurityclientipaddresscheckenabled</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabsecurityclientipaddresscheckenabled"/></xsl:with-param>
      </xsl:call-template>           
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">securityclientipaddresscheckenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">securityclientipaddresscheckenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$securityclientipaddresscheckactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
     </xsl:call-template> 
   </td> 
   </tr>


</xsl:template> 

<!-- @015 End   --> 

<!--                                                                 -->  
<!--  ASFServlet Node                                                -->
<!--                                                                 -->

<xsl:template match = "ASFServlet">

   <xsl:param name = "alangelement" />

   <!-- @018 START -->
   <xsl:param name = "aosarchitecture" /> 
   <!-- @018 END   -->  

   <xsl:variable name="asfservletperformancecheckactivated">
      <xsl:value-of select="PerformanceCheck/@enable"/>  
   </xsl:variable>

   <!-- @013 START -->



   <!-- @013 END   -->

   <!-- @005 Start -->
    
   <xsl:variable name="asfservletreplacesessiononresignonactivated">
      <xsl:value-of select="ReplaceSessionOnReSignon/@enable"/>  
   </xsl:variable>

   <!-- @005 End   -->      

   

   <tr>
   <th colspan='3'>
      <xsl:value-of select= "$ztxtlabasfservlet"/>
   </th>    
   </tr>

   <!-- Field Default Language     -->
   
   <tr> 
   <td>   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletdefaultlanguage</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletdefaultlanguage"/></xsl:with-param>
      </xsl:call-template>     
   </td>
   <td align='left' colspan='2'>
   <xsl:element name="select">
      <xsl:attribute name = "name">asfservletdefaultlanguage</xsl:attribute>
      <xsl:attribute name = "id"  >asfservletdefaultlanguage</xsl:attribute>
      <xsl:attribute name = "size">6</xsl:attribute>
      <xsl:for-each select="//DocConfiguration/NLS/Language">
        <xsl:variable name="ylang">
           <xsl:value-of select="normalize-space(.)"/> 
        </xsl:variable>  
        <xsl:element name="option">
           <xsl:if test="$ylang=$alangelement">          
              <xsl:attribute name = "selected">selected</xsl:attribute>
           </xsl:if>      
           <xsl:value-of select="$ylang"/>  
        </xsl:element>
      </xsl:for-each>      
   </xsl:element>
   </td>
   </tr>

   <!-- Field Session Cleanup Period     -->

   <tr>    
   <td>  
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletsessioncleanupperiod</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletsessioncleanupperiod"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'>
       <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">asfservletsessioncleanupperiod</xsl:with-param>
               <xsl:with-param name="xipfnm">asfservletsessioncleanupperiod</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">8</xsl:with-param>
               <xsl:with-param name="xipfmx">12</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(SessionCleanupPeriod)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterEqualThan(5) &amp;&amp; fnIsLessEqualThan(2880))</xsl:with-param> 
      </xsl:call-template>   
   </td>
   </tr>

   <!-- Field Session Maximum Age     -->

   <tr>    
   <td>  
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletsessionmaximumage</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletsessionmaximumage"/></xsl:with-param>
      </xsl:call-template>   
   </td>
   <td align='left' colspan='2'>
      <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">asfservletsessionmaximumage</xsl:with-param>
               <xsl:with-param name="xipfnm">asfservletsessionmaximumage</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">8</xsl:with-param>
               <xsl:with-param name="xipfmx">12</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(SessionMaximumAge)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsInteger() &amp;&amp; fnIsGreaterEqualThan(5) &amp;&amp; fnIsLessEqualThan(2880))</xsl:with-param> 
      </xsl:call-template>
  
   </td>

   </tr>
 

 


    <!-- Field PreviewPDFCall       --> 

    <!-- @005 Start                        -->
    <!-- Field ReplaceSessionOnResignon    -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletreplacesessiononresignon</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletreplacesessiononresignon"/></xsl:with-param>
      </xsl:call-template>             
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">asfservletreplacesessiononresignon</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">asfservletreplacesessiononresignon</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$asfservletreplacesessiononresignonactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param> 
     </xsl:call-template> 
   </td> 
   </tr>

   <!-- @005 End -->

   <!-- Field PerformanceCheck     -->

   <tr>
   <td>          
       <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletperformancecheckenabled</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletperformancecheckenabled"/></xsl:with-param>
      </xsl:call-template>   
   </td>
   <td align='left' colspan='2'> 
 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">asfservletperformancecheckenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">asfservletperformancecheckenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$asfservletperformancecheckactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>  

   </td> 
   </tr>

   <!-- @008 Start -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletpreview</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreview"/></xsl:with-param>
      </xsl:call-template>      
   </td>   
   <td>
   <table border='1'> <!-- @010 UZ Start width added UZ END -->

   <!-- @010 START --> 

   <colgroup>
        <col width="20%"></col>
        <col width="80%"></col>
        
   </colgroup>         
   
   <!-- @010 END  -->  

   <!-- Field PreviewHTMLPath     -->

   <tr>
   <td>   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABasfservletpreviewhtmlpath</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewhtmlpath"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left' colspan='2'>
      <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">asfservletpreviewhtmlpath</xsl:with-param>
               <xsl:with-param name="xipfnm">asfservletpreviewhtmlpath</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">50</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Preview/HTMLPath)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsValidFilename())</xsl:with-param> 
      </xsl:call-template>
   
   </td>
   </tr>

   <!-- @010 START -->

   <tr>
     <td colspan='3' align='center'>
         <xsl:value-of select= "$ztxtlabasfservletpreviewtransformlist"/>
     </td> 
   </tr>

   <tr>    
   <td colspan='3'>    
     <!-- @018 Start --> 
     <xsl:apply-templates select="Preview/TransformList">
    
          <xsl:with-param name = "aosarchitecture" select="$aosarchitecture"></xsl:with-param>
        
     </xsl:apply-templates>
     <!-- @018 End   -->      
   </td>
   </tr>         

   <!-- @010 END -->

   </table>
   </td>
   </tr>


</xsl:template> 

<!-- @010 START -->
<!--                                                                 -->  
<!--  TransformList Node                                             -->
<!--                                                                 -->


<xsl:template match = "Preview/TransformList">

   
   <!-- @018 START -->
   <xsl:param name = "aosarchitecture" /> 
   <!-- @018 END   -->  
   

   <xsl:variable name="xnumberoftransforms">
        <xsl:value-of select = "count(Transform)"/> 
   </xsl:variable>

   <table border='1'>
      <colgroup>
         <col width="16%"></col>
         <col width="42%"></col>
         <col width="42%"></col> 
      </colgroup>
      <tr>
         <td>   
            <xsl:call-template name="fxLabel">
               <xsl:with-param name="xlblid">LABasfservletpreviewtransformname</xsl:with-param>
               <xsl:with-param name="xlblfo"/>
               <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformselection"/></xsl:with-param>
            </xsl:call-template>          
         </td>
         <td colspan='2' align='center'>
             <xsl:value-of select= "$ztxtlabasfservletpreviewtransformvalues"/>
         </td>
      </tr>

      <xsl:for-each select = "Transform" >

          <!-- @018 Start --> 

          <xsl:call-template name="transformprocessing"> 
              <xsl:with-param name = "aosarchitecture" select="$aosarchitecture"></xsl:with-param>
          </xsl:call-template>      

          <!-- @018 END -->
  
      </xsl:for-each>

      <xsl:call-template name="fxHidden">
            <xsl:with-param name="xhdfid">prevnumtran</xsl:with-param>               
            <xsl:with-param name="xhdfnm">asfservletpreviewnumberoftransforms</xsl:with-param>    
            <xsl:with-param name="xhdfro">Y</xsl:with-param>                
            <xsl:with-param name="xhdfsz">10</xsl:with-param>  
            <xsl:with-param name="xhdfmx">10</xsl:with-param>   
            <xsl:with-param name="xhdfva"><xsl:value-of select="$xnumberoftransforms"/></xsl:with-param>  
      </xsl:call-template>  


     

   </table>



</xsl:template> 

<!--                                                                 -->  
<!--  Transform Node                                                 -->
<!--                                                                 -->

<xsl:template name="transformprocessing"> 

   <!-- @018 START -->
   <xsl:param name = "aosarchitecture" /> 
   <!-- @018 END   -->  

   <xsl:variable name="xposition">
      <xsl:value-of select = "position()"/> 
   </xsl:variable>
   <xsl:variable name="transformactivated">
       <xsl:value-of select="@active"/>  
   </xsl:variable> 
   <xsl:variable name="transformextension">
       <xsl:value-of select="@extension"/>  
   </xsl:variable>   
   <xsl:variable name="transformname">
       <xsl:value-of select="@name"/>  
   </xsl:variable> 

   <!-- @018 Start -->

   <xsl:variable name="transformpathpdsnotationactivated">
       <xsl:value-of select="Path/@pds"/>  
   </xsl:variable>

   <!-- @018 End   -->

<tr>
<td>
   
   <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid"><xsl:value-of select="concat('asfservletpreviewtransformenabled',$xposition)"/></xsl:with-param>   
         <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat('asfservletpreviewtransformenabled',$xposition)"/></xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$transformactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress">return fnOnclickCheckbox('asfservletpreviewtransformenabled')</xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick">return fnOnclickCheckbox('asfservletpreviewtransformenabled')</xsl:with-param>
   </xsl:call-template>  
   <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformname',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformname',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">12</xsl:with-param>
               <xsl:with-param name="xipfmx">50</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "$transformname" /></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericSpecial(' '))</xsl:with-param> 
   </xsl:call-template>   
</td>

<td>

<table border='1'>
<colgroup>
  <col width="30%"></col>
  <col width="70%"></col>  
</colgroup>

<!-- Field Extension -->


<tr>
   
   <td>     
     <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformextension',$xposition)"/></xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformextension"/></xsl:with-param>
     </xsl:call-template> 
   </td>     
   
   <td align='left' colspan='2'>
      <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformextension',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformextension',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">3</xsl:with-param>
               <xsl:with-param name="xipfmx">6</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "$transformextension"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericSpecial('.'))</xsl:with-param> 
      </xsl:call-template>   
   </td>
</tr>





<!-- @018 Start -->
<!-- Transform Path PDS Notation Field ( only in case of aosarchitecture = 390 ) -->

<xsl:if test="$aosarchitecture='390'">

<tr>
<td>
     <xsl:call-template name="fxLabel">
        <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformpathpdsnotation',$xposition)"/></xsl:with-param>
        <xsl:with-param name="xlblfo"/>
        <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformpathpdsnotation"/></xsl:with-param>
     </xsl:call-template>
</td>
<td>
   <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid"><xsl:value-of select="concat('asfservletpreviewtransformpathpdsnotation',$xposition)"/></xsl:with-param>   
         <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat('asfservletpreviewtransformpathpdsnotation',$xposition)"/></xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$transformpathpdsnotationactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress">return fnOnclickCheckbox('asfservletpreviewtransformpathpdsnotation')</xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick">return fnOnclickCheckbox('asfservletpreviewtransformpathpdsnotation')</xsl:with-param>
   </xsl:call-template>  
</td>
</tr>

</xsl:if>

<!-- Test only -->
<!--
<tr>
<td>transformpathpdsnotationactivated=</td>
<td><xsl:value-of select="$transformpathpdsnotationactivated"/></td>
</tr>
-->
<!-- Test only -->

<!-- @039a Start -->
<xsl:choose>
<xsl:when test="$transformpathpdsnotationactivated='Y'">
   <xsl:call-template name="xafppathtextarea">
        <xsl:with-param name="xmode">psegs</xsl:with-param>
        <xsl:with-param name="xname"><xsl:value-of select="concat('psegs',$xposition)"/></xsl:with-param>
        <xsl:with-param name="xlabel">Psegs</xsl:with-param>
   </xsl:call-template>
   <xsl:call-template name="xafppathtextarea">
        <xsl:with-param name="xmode">overlays</xsl:with-param>
        <xsl:with-param name="xname"><xsl:value-of select="concat('overlays',$xposition)"/></xsl:with-param> 
        <xsl:with-param name="xlabel">Overlays</xsl:with-param>
   </xsl:call-template>
</xsl:when>
<xsl:otherwise>

<!-- Field Transform Class Field -->

<tr>
  <td>
     <xsl:call-template name="fxLabel">
       <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformclass',$xposition)"/></xsl:with-param>
       <xsl:with-param name="xlblfo"/>
       <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformclass"/></xsl:with-param>
     </xsl:call-template> 
  </td>
  <td>
       <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformclass',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformclass',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">40</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Class)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsPreviewTransformClass())</xsl:with-param> 
      </xsl:call-template> 
    
  </td>
</tr> 



<!-- Transform Path  Field -->
  
<tr>
   <td>    
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformpath',$xposition)"/></xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformpath"/></xsl:with-param>
      </xsl:call-template>
   </td>
   <td>
      <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformpath',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformpath',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">40</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Path)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsEmptyOrIsValidDirectoryname())</xsl:with-param> 
      </xsl:call-template>     
   </td>
</tr>  

  
<!-- Transform Command  Field -->
  
<tr>
   <td>
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformcommand',$xposition)"/></xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabasfservletpreviewtransformcommand"/></xsl:with-param>
      </xsl:call-template>    
   </td>
   <td>
     <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformcommand',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformcommand',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">40</xsl:with-param>
               <xsl:with-param name="xipfmx">200</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(Command)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsEmptyOrIsValidFilename())</xsl:with-param> 
     </xsl:call-template> 
     
   </td>
</tr>  

<!-- @039a -->
</xsl:otherwise>
</xsl:choose> 

<!-- @039a -->  
<!-- Transform URL  Field -->
  
<tr>
   <td>
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid"><xsl:value-of select="concat('LABasfservletpreviewtransformurl',$xposition)"/></xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabasfservletpreviewtransformurl"/></xsl:with-param>
      </xsl:call-template>         
   </td>
   <td>
     <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid"><xsl:value-of select="concat('asfservletpreviewtransformurl',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfnm"><xsl:value-of select="concat('asfservletpreviewtransformurl',$xposition)"/></xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">40</xsl:with-param>
               <xsl:with-param name="xipfmx">300</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(URL)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur"></xsl:with-param> 
     </xsl:call-template>    
   </td>
</tr>  

</table>



</td>
</tr>

</xsl:template>

<!-- @010 END -->

<!--                                                                 -->  
<!--  Spellcheck Node                                                -->
<!--                                                                 -->


<xsl:template match = "Spellcheck">
 
   <xsl:variable name="spellcheckactivated">
       <xsl:value-of select="@enable"/>  
   </xsl:variable>   

   <tr>
   <th colspan='3'>       
      <xsl:value-of select= "$ztxtlabdictionaries"/>
   </th>
   </tr>


    <!-- Field Spellcheck enabled -->

   <tr>
   <td>
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABspellcheckenabled</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabspellcheckenabled"/></xsl:with-param>
      </xsl:call-template>        
   </td>
   <td align='left' colspan='2'> 
      <xsl:call-template name="fxCheckbox">
         <xsl:with-param name = "xcbfid">spellcheckenabled</xsl:with-param>   
         <xsl:with-param name = "xcbfnm">spellcheckenabled</xsl:with-param>     
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$spellcheckactivated"/></xsl:with-param>
         <xsl:with-param name = "xcbfdc">N</xsl:with-param>
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>      
      </xsl:call-template>  
   </td> 
   </tr>


   <!-- Field Dictionary Path     -->

   <tr>
   <td> 
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABdictionariesdictionarypath</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabdictionarypath"/></xsl:with-param>
      </xsl:call-template>        
   </td>
   <td align='left' colspan='2'>
   <!-- @028 -->
   <xsl:choose>  
       <xsl:when test="$apathsarerelative='N'">
          <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">dictionariesdictionarypath</xsl:with-param>
               <xsl:with-param name="xipfnm">dictionariesdictionarypath</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">50</xsl:with-param>
               <xsl:with-param name="xipfmx">300</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(DictionaryPath)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsValidDirectoryname())</xsl:with-param> 
          </xsl:call-template> 
       </xsl:when>
       <xsl:otherwise>
            <xsl:value-of select = "normalize-space(DictionaryPath)" /> 
       </xsl:otherwise>  
   </xsl:choose>       
   </td>
   </tr>
   <tr>

   <!-- Field Dictionaries     -->

   <td>     
     <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABdictionaries</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabdictionaries"/></xsl:with-param>
      </xsl:call-template>
   </td>

   <td align='left' colspan='2'>  
   <xsl:element name="select">
      <xsl:attribute name = "name">dictionaries</xsl:attribute>
      <xsl:attribute name = "id">dictionaries</xsl:attribute> 
      <xsl:attribute name = "size">15</xsl:attribute>
      <xsl:attribute name = "multiple">multiple</xsl:attribute>
      <xsl:for-each select="Dictionaries/Dictionary">
         <xsl:sort select="current()"/> 
         <xsl:element name="option">
            <xsl:variable name="xdictionaryfilename">
               <xsl:value-of select="normalize-space(.)"/>
            </xsl:variable>        
            <xsl:variable name="xdictionaryenabled">
               <xsl:value-of select="@enable"/>
            </xsl:variable>
            <xsl:attribute name = "value">                 
               <xsl:value-of select="$xdictionaryfilename"/>
            </xsl:attribute> 
            <xsl:if test="$xdictionaryenabled=$yes"> 
               <xsl:attribute name = "selected">selected</xsl:attribute> 
            </xsl:if>      
            <xsl:choose>
                <!-- @020d   
                <xsl:when test="$xdictionaryfilename='aktueel.dic'">
                   <xsl:value-of select="$aaktueeldic"/>                         
                </xsl:when>
                --> 
                <xsl:when test="$xdictionaryfilename='dansk.dic'">
                   <xsl:value-of select="$adanskdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='deutsch.dic'">
                   <xsl:value-of select="$adeutschdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='deutsch2.dic'">
                   <xsl:value-of select="$adeutsch2dic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='dschweiz.dic'">
                   <xsl:value-of select="$adschweizdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='espana.dic'">
                   <xsl:value-of select="$aespanadic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='francais.dic'">
                   <xsl:value-of select="$afrancaisdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='nedplus.dic'">
                   <xsl:value-of select="$anedplusdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='nederlnd.dic'">
                   <xsl:value-of select="$anederlnddic"/>                         
                </xsl:when>    
                <xsl:when test="$xdictionaryfilename='uk.dic'">
                   <xsl:value-of select="$aukdic"/>                         
                </xsl:when>
                <xsl:when test="$xdictionaryfilename='us.dic'">
                   <xsl:value-of select="$ausdic"/>                         
                </xsl:when>
           
            
            </xsl:choose>       
               
        </xsl:element>        
      </xsl:for-each> 
     </xsl:element>   
   </td>
   </tr>

 
   <!-- @030d   Start       -->
   
   <!-- Following fields are displayed only if ajfrostsupport is Y    -->

   <!-- <xsl:if test="$ajfrostsupport=$yes"> --> <!-- @041d -->    

   <xsl:if test="$no=$yes">                      <!-- @041a returns always false so xsl if is never executed -->  

   <!-- Field Addenda Dictionary     -->
   <tr>
   <td>     

      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABdictsaddendadictionary</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabdictsaddendadictionary"/></xsl:with-param>
      </xsl:call-template>
   </td>
   <td align='left' colspan='2'>
   
   
          <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">dictsaddendadictionary</xsl:with-param>
               <xsl:with-param name="xipfnm">dictsaddendadictionary</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">50</xsl:with-param>
               <xsl:with-param name="xipfmx">300</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(AddendaDictionary)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">fnIsAlphaNumericDotWord()</xsl:with-param> 
          </xsl:call-template>         
   </td>
   </tr>
   
   

    <!-- Field LexAnalyzerLanguageCode   -->

  
   <xsl:call-template name="xselectablelanguagecodes">
        <xsl:with-param name="aselectorname">LexAnalyzerLanguageCode</xsl:with-param>          <!-- @034  -->
        <xsl:with-param name="amultipleselection">N</xsl:with-param>            <!-- @034  -->
        <xsl:with-param name="asizeselection">6</xsl:with-param>                <!-- @034  -->   
        <xsl:with-param name="afieldname">lexanalyzerlanguagecodes</xsl:with-param>        <!-- @034  -->
        <xsl:with-param name="afieldlabel"><xsl:value-of select="$ztxtlablexanalyzerlanguagecode"/></xsl:with-param>                    <!-- @034  -->  
   </xsl:call-template>
   
 
   <!-- Field MaxNumberOfCorrectSuggestions   -->
   
   <tr>
   <td>     
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABdictsmaxnumberofcorrectsuggestions</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabdictsmaxnumberofcorrectsuggestions"/></xsl:with-param>
      </xsl:call-template>
   </td>
   <td align='left' colspan='2'>
  
  
          <xsl:call-template name="fxInput">
               <xsl:with-param name="xipfid">dictsmaxnumberofcorrectsuggestions</xsl:with-param>
               <xsl:with-param name="xipfnm">dictsmaxnumberofcorrectsuggestions</xsl:with-param>
               <xsl:with-param name="xipfro">N</xsl:with-param>
               <xsl:with-param name="xipfsz">3</xsl:with-param>
               <xsl:with-param name="xipfmx">3</xsl:with-param>
               <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(MaxNumberOfCorrectSuggestions)"/></xsl:with-param>
               <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
          </xsl:call-template>         
   </td>
   </tr>
   
  
   <!-- @030d   End         -->
   <!-- IgnoreTokenTypeList -->
   <!-- @030d   Start       -->
   
   <tr>
   <td>     
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABignoretokentypelist</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabdictsignoretokentypelist"/></xsl:with-param>
      </xsl:call-template>  
   </td>

   <td align='left' colspan='2'>  
   <xsl:element name="select">
      <xsl:attribute name = "name">dictsignoretokentypelist</xsl:attribute>
      <xsl:attribute name = "id">dictsignoretokentypelist</xsl:attribute> 
      <xsl:attribute name = "size">25</xsl:attribute>
      <xsl:attribute name = "multiple">multiple</xsl:attribute>
      <xsl:for-each select="IgnoreTokenTypeList/IgnoreTokenType">
         <xsl:sort select="current()"/> 
         <xsl:element name="option">
            <xsl:variable name="xignoretokentype">
               <xsl:value-of select="normalize-space(.)"/>
            </xsl:variable>        
            <xsl:variable name="xignoretokentypeenabled">
               <xsl:value-of select="@enable"/>
            </xsl:variable>
            <xsl:attribute name = "value">                 
               <xsl:value-of select="$xignoretokentype"/>
            </xsl:attribute> 
            <xsl:if test="$xignoretokentypeenabled=$yes"> 
               <xsl:attribute name = "selected">selected</xsl:attribute> 
            </xsl:if>      
            <xsl:choose>      
            
            

                <xsl:when test="$xignoretokentype='TOKEN_TYPE_ACRONYM'">
                   <xsl:value-of select="$atokentypeacronym"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_CAPITALIZEDWORD'">
                   <xsl:value-of select="$atokentypecapitalizedword"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_CURRENCY'">
                   <xsl:value-of select="$atokentypecurrency"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_DATE'">
                   <xsl:value-of select="$atokentypedate"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_EMAIL'">
                   <xsl:value-of select="$atokentypeemail"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_FILEPATH'">
                   <xsl:value-of select="$atokentypefilepath"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_LOWERCASEWORD'">
                   <xsl:value-of select="$atokentypelowercaseword"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_NUMBER'">
                   <xsl:value-of select="$atokentypenumber"/>                         
                </xsl:when>    
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_PARAGRAPH_BREAK'">
                   <xsl:value-of select="$atokentypeparagraphbreak"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_PUNCTUATION'">
                   <xsl:value-of select="$atokentypepunctuation"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_ROMAN'">
                   <xsl:value-of select="$atokentyperoman"/>                         
                </xsl:when>
                 <xsl:when test="$xignoretokentype='TOKEN_TYPE_SENTENCE_BREAK'">
                   <xsl:value-of select="$atokentypesentencebreak"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_TEL'">
                   <xsl:value-of select="$atokentypetel"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_TIME'">
                   <xsl:value-of select="$atokentypetime"/>                         
                </xsl:when>
               
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_UNKNOWN'">
                   <xsl:value-of select="$atokentypeunknown"/>                         
                </xsl:when>
                
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_UPPERCASEWORD'">
                   <xsl:value-of select="$atokentypeuppercaseword"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_URL'">
                   <xsl:value-of select="$atokentypeurl"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_VERSION'">
                   <xsl:value-of select="$atokentypeversion"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_WHITESPACE'">
                   <xsl:value-of select="$atokentypewhitespace"/>                         
                </xsl:when>
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_WORD'">
                   <xsl:value-of select="$atokentypeword"/>                         
                </xsl:when>    
                <xsl:when test="$xignoretokentype='TOKEN_TYPE_WORDLIKESEQUENCE'">
                   <xsl:value-of select="$atokentypeworklikesequence"/>                         
                </xsl:when>
           
            
            </xsl:choose>       
               
        </xsl:element>        
      </xsl:for-each> 
     </xsl:element>   
   </td>
   </tr>
   
   </xsl:if>
   <!-- @030d   End      -->
</xsl:template> 





<!-- @002 Start -->


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xmarkitem-selected                                         --> 
<!-- which marks a xitem selected if it is found among yitem(s)     -->
<!-- from a selection list which is constructed of all              -->
<!-- elements below DocConfiguration which have the name            --> 
<!-- xselectorname                                                  -->
<!-- ************************************************************** -->


<xsl:template name = "xmarkitem-selected" >     
    
     <xsl:param name = "xitem" />
     <xsl:param name = "xselectorname" />
            
  

     <xsl:for-each select = "/DocConfiguration//*[name() = $xselectorname]">                              

          <xsl:variable name = "yitem">                                
             <xsl:value-of select="normalize-space(.)"/>                                   
          </xsl:variable> 
          <xsl:if test = "$xitem=$yitem" >  
             <xsl:attribute name = "selected">selected</xsl:attribute> 
          </xsl:if>    
     </xsl:for-each>                                                             
     <xsl:value-of select="$xitem"/>
    
    
</xsl:template> 

<!-- @002 End   -->




<!-- @021 Start -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xsessiontrace                                              --> 
<!-- which displays the selected session trace                      -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "xsessiontrace"> 

    <xsl:param name="atxtlabtracingsessiontrace"/>
    <xsl:param name="asessiontrace"/>


    <xsl:variable name="ysessiontraceE">E</xsl:variable>
    <xsl:variable name="ysessiontraceY">Y</xsl:variable>
    <xsl:variable name="ysessiontraceN">N</xsl:variable>

    <td>

      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid">LABtracingsessiontrace</xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$atxtlabtracingsessiontrace"/></xsl:with-param>
      </xsl:call-template>      

    </td>
    <td align='left' colspan='2'>

         <xsl:element name="select">          
         <xsl:attribute name="name">tracingsessiontrace</xsl:attribute>
         <xsl:attribute name="id">tracingsessiontrace</xsl:attribute>
         <xsl:attribute name="size">3</xsl:attribute>
         
            <xsl:element name="option">                    
                <xsl:if test="$ysessiontraceE=$asessiontrace">
                    <xsl:attribute name = "selected">selected</xsl:attribute> 
                </xsl:if> 
                <xsl:value-of select="$ysessiontraceE"/>          
            </xsl:element>
            <xsl:element name="option">                    
                <xsl:if test="$ysessiontraceY=$asessiontrace">
                    <xsl:attribute name = "selected">selected</xsl:attribute> 
                </xsl:if> 
                <xsl:value-of select="$ysessiontraceY"/>       
            </xsl:element> 
            <xsl:element name="option">  
                <xsl:if test="$ysessiontraceN=$asessiontrace">
                    <xsl:attribute name = "selected">selected</xsl:attribute> 
                </xsl:if> 
                <xsl:value-of select="$ysessiontraceN"/>         
            </xsl:element>
            

         </xsl:element>

    </td>  


</xsl:template>

<!-- @021 End   -->
<!-- @002 Start -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xselectablelanguagecodes                                   --> 
<!-- which displays the selectable language codes                   -->
<!--                                                                -->
<!-- It calls the template rule xmarkitem-selected                  -->
<!-- ************************************************************** -->


<xsl:template name = "xselectablelanguagecodes" > 

    <xsl:param name="aselectorname"></xsl:param>          <!-- @034  -->
    <xsl:param name="amultipleselection"></xsl:param>     <!-- @034  -->  
    <xsl:param name="asizeselection"></xsl:param>         <!-- @034  --> 
    <xsl:param name="afieldname"></xsl:param>             <!-- @034  -->
    <xsl:param name="afieldlabel"></xsl:param>            <!-- @034  -->     

   
    <xsl:variable name="languagecodeda">da</xsl:variable>
    <xsl:variable name="languagecodede">de</xsl:variable>
    <xsl:variable name="languagecodeen">en</xsl:variable>
    <xsl:variable name="languagecodees">es</xsl:variable>
    <xsl:variable name="languagecodefr">fr</xsl:variable>
    <xsl:variable name="languagecodenl">nl</xsl:variable>    
   
    <td>
      <xsl:call-template name="fxLabel">
         <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$afieldname)"/></xsl:with-param>
         <xsl:with-param name="xlblfo"/>
         <xsl:with-param name="xlblva"><xsl:value-of select="$afieldlabel"/></xsl:with-param>
      </xsl:call-template>
    </td>
    <td align='left' colspan='2'>

         <xsl:element name="select">          
         <xsl:attribute name="name"><xsl:value-of select="$afieldname"/></xsl:attribute>
         <xsl:attribute name="id"><xsl:value-of select="$afieldname"/></xsl:attribute>
         <xsl:attribute name="size"><xsl:value-of select="$asizeselection"/></xsl:attribute>

         <xsl:if test="$amultipleselection=$yes">
           <xsl:attribute name="multiple">multiple</xsl:attribute> 
         </xsl:if> 

         
         <xsl:element name="option">                    
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodeda"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param> 
               </xsl:call-template>              
            </xsl:element>
            <xsl:element name="option">                    
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodede"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param> 
               </xsl:call-template>              
            </xsl:element> 
            <xsl:element name="option">  
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodees"></xsl:with-param>
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param>   
               </xsl:call-template>               
            </xsl:element>
             <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodeen"></xsl:with-param>
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param> 
               </xsl:call-template>               
            </xsl:element> 
            <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodefr"></xsl:with-param> 
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param>
               </xsl:call-template>               
            </xsl:element> 
            <xsl:element name="option">
               <xsl:call-template name = "xmarkitem-selected">  
                  <xsl:with-param name = "xitem" select="$languagecodenl"></xsl:with-param>
                  <xsl:with-param name = "xselectorname" select="$aselectorname"></xsl:with-param>
               </xsl:call-template>               
            </xsl:element>
               

         </xsl:element>

    </td>  

</xsl:template>

<!-- @002  End           -->
<!-- @037  Start         -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xafppathtextarea                                           --> 
<!-- which allows to enter psegs respectively overlays              -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name="xafppathtextarea">
        <xsl:param name="xmode"/>
        <xsl:param name="xname"/>
        <xsl:param name="xlabel"/>

<tr>
<td>
     <xsl:call-template name="fxLabel">
        <xsl:with-param name="xlblid"></xsl:with-param>
        <xsl:with-param name="xlblfo"/>
        <xsl:with-param name="xlblva"><xsl:value-of select= "$xlabel"/></xsl:with-param>
     </xsl:call-template>
</td>
<td>
<xsl:element name = "textarea" > 
      <xsl:attribute name = "name" ><xsl:value-of select="$xname"/></xsl:attribute> 
      <xsl:attribute name = "id"   ><xsl:value-of select="$xname"/></xsl:attribute> 
      <xsl:attribute name = "cols" >40</xsl:attribute>
      <xsl:attribute name = "rows" >5</xsl:attribute>
      <xsl:choose>
      <xsl:when test="$xmode='psegs'">     
      <xsl:for-each select=".//Psegs/Dataset">  
          <xsl:value-of select="normalize-space(.)" />
          <xsl:text>
</xsl:text>  
      </xsl:for-each> 
      </xsl:when>
      <xsl:otherwise>
 <xsl:for-each select=".//Overlays/Dataset">  
          <xsl:value-of select="normalize-space(.)" />
          <xsl:text>
</xsl:text> 
      </xsl:for-each>
      </xsl:otherwise>      
      </xsl:choose> 
</xsl:element>
</td>
</tr>
</xsl:template>

<!-- @037a End -->

<!-- ************************************************************** -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttonlist                                                --> 
<!-- which displays buttonlists                                     -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttonlist" >

    <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabbutt</xsl:with-param>
          <xsl:with-param name="atitle">Buttons</xsl:with-param>
    </xsl:call-template>

   
   <div id="tabbutt" style="display:none">

   <table border='1'>
        <colgroup>
          <col width="14%"></col>
          <col width="43%"></col> 
          <col width="43%"></col>        
        </colgroup> 
       <tr>
       <td>Window</td>
       <td>Active</td>
       <td>Button name</td>
       </tr>   
       <xsl:call-template name="xbuttonlistdetailsmenu">    
           <xsl:with-param name="aobjtype">Menu</xsl:with-param>  
       </xsl:call-template>
       <xsl:call-template name="xbuttonlistdetailslrr">    
           <xsl:with-param name="aobjtype">LRR</xsl:with-param>  
       </xsl:call-template> 
       <xsl:call-template name="xbuttonlistdetailspali">    
           <xsl:with-param name="aobjtype">PaLi</xsl:with-param>  
       </xsl:call-template>  
      <xsl:call-template name="xbuttonlistdetailsterm">    
           <xsl:with-param name="aobjtype">Term</xsl:with-param>  
       </xsl:call-template>
   </table>   
   </div>
    
</xsl:template> 
  
<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttonlistdetailsmenu                                         --> 
<!-- which displays customer specific data                          -->
<!-- docnetworkconfig                                               -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttonlistdetailsmenu" >
   <xsl:param name="aobjtype"/>
  
   <xsl:for-each select="//ClientButtons/Menu/ButtonList/Button">
          <tr>
          <td><xsl:value-of select="$aobjtype"/></td>   
          <td><xsl:value-of select="@explicit"/></td>
          <td><xsl:value-of select="@action"/></td> 
          </tr>  
   </xsl:for-each>   
</xsl:template> 

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttonlistdetailslrr                                      --> 
<!-- which displays customer specific data                          -->
<!-- docnetworkconfig                                               -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttonlistdetailslrr" >
   <xsl:param name="aobjtype"/>
 
   <xsl:for-each select="//LRR/ButtonList/Button">
          <tr>
          <td><xsl:value-of select="$aobjtype"/></td>   
          <td><xsl:value-of select="./@explicit"/></td>
          <td><xsl:value-of select="./@action"/></td> 
          </tr>  
   </xsl:for-each>   
</xsl:template> 



<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttonlistdetailspali                                      --> 
<!-- which displays customer specific data                          -->
<!-- docnetworkconfig                                               -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttonlistdetailspali" >
   <xsl:param name="aobjtype"/>
   
   <xsl:for-each select="//ClientButtons/PaLi/ButtonList/Button">
          <tr>
          <td><xsl:value-of select="$aobjtype"/></td>
          <td><xsl:value-of select="./@explicit"/></td>
          <td><xsl:value-of select="./@action"/></td>  
          </tr>  
   </xsl:for-each>   
</xsl:template> 

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttonlistdetailspali                                      --> 
<!-- which displays customer specific data                          -->
<!-- docnetworkconfig                                               -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttonlistdetailsterm" >
   <xsl:param name="aobjtype"/>

   <xsl:for-each select="//ClientButtons/Term/ButtonList/Button">
          <tr>
          <td><xsl:value-of select="$aobjtype"/></td>
          <td><xsl:value-of select="./@explicit"/></td>
          <td><xsl:value-of select="./@action"/></td>  
          </tr>  
   </xsl:for-each>   
</xsl:template>


<!-- ************************************************************** -->

</xsl:stylesheet> 
